MANPATH(1)

NAZWA
manpath - określa ścieżkę przeszukiwania stron podręcznika ekranowego

SKŁADNIA
manpath [-qgdc?V] [-m system[,...]] [-C plik]

OPIS
Jeżeli ustawiona jest zmienna $MANPATH, to manpath po prostu wyświetli jej zawartość i wyśle ostrzeżenie. W przeciwnym razie manpath określi odpowiednią hierarchię ścieżek poszukiwania stron podręcznika man i wyświetli wyniki. The colon-delimited path is determined using information gained from the man-db configuration file – (/etc/man_db.conf) and the user's environment.

OPCJE

-q, --quiet
    Nie wysyła ostrzeżeń.

-d, --debug
    Wyświetla informację diagnostyczną (debug).

-c, --catpath
    Tworzy ścieżkę catpath [do stron w postaci catman] zamiast manpath. Po ustaleniu ścieżki manpath, każdy jej element zamieniany jest na jego odpowiednik catpath.

-g, --global
    Produce a manpath consisting of all paths named as "global" within the man-db configuration file.

-m system[,...], --systems=system[,...]
    If this system has access to other operating systems' manual hierarchies, this option can be used to include them in the output of manpath. To include NewOS's manual page hierarchies use the option -m NewOS. Podany system może być kombinacją oddzielonych przecinkami nazw systemów operacyjnych. Jeżeli chcemy włączyć hierarchię stron man macierzystego systemu operacyjnego, to musimy użyć man jako nazwy systemu w łańcuchu argumentów. Niniejsza opcja unieważnia ewentualne użycie zmiennej środowiska $SYSTEM.

-C plik, --config-file=plik
    Use this user configuration file rather than the default of ~/.manpath.

-?, --help
    Wyświetla komunikat pomocy i kończy pracę.

--usage
    Wyświetla krótki opis użycia programu i kończy pracę.

-V, --version
    Wyświetla informację o wersji.

ŚRODOWISKO

MANPATH
    If $MANPATH is set, manpath displays its value rather than determining it on the fly. See the SEARCH PATH section of manpath(5) for the default behaviour and details of how this environment variable is handled.

SYSTEM
    Jeżeli ustawiona jest zmienna $SYSTEM, to ma to taki sam skutek, jak przekazanie jej wartości jako argumentu opcji -m.

PLIKI

/etc/man_db.conf
    Plik konfiguracyjny man-db.

ZOBACZ TAKŻE
apropos(1), man(1), whatis(1)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

BŁĘDY
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db

TŁUMACZENIE
Wojciech Kotwica w 1999 roku przetłumaczył część stron podręcznika pakietu man-db i udostępnił je w ramach Projektu Tłumaczenia Manuali.
Robert Luberda tłumaczenie zaktualizował i uzupełnił w roku 2008.